Qt 5.7 | Qt Charts | C++ Classes | QXYLegendMarker

Qt 5.7.1 Reference Documentation

# QXYLegendMarker Class

QLegendMarker subclass for QXYSeries. More...

Header: | #include <QXYLegendMarker>
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QXYLegendMarker()

## Reimplemented Public Functions

virtual QXYSeries * | series()
virtual LegendMarkerType | type()

- 14 public functions inherited from QLegendMarker

### Additional Inherited Members

- 6 properties inherited from QLegendMarker
- 8 signals inherited from QLegendMarker

## Detailed Description

QLegendMarker subclass for QXYSeries.

QXYLegendMarker is related to QXYSeries derived classes. Each marker is related to one series.

See also QLegend, QXYSeries, QSplineSeries, QScatterSeries, and QLineSeries.

## Member Function Documentation

### `[virtual]` QXYLegendMarker::~QXYLegendMarker()

Destructor

### `[virtual]` QXYSeries *QXYLegendMarker::series()

Reimplemented from QLegendMarker::series().

Returns the related series

### `[virtual]` LegendMarkerType QXYLegendMarker::type()

Reimplemented from QLegendMarker::type().

Returns QLegendMarker::LegendMarkerTypeXY